package org.shop.crop;

import com.tencent.wework.Finance;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MyConfig {

   /* @Bean
    public long sdk() {
        System.out.println("Initializing SDK...");
        long  sdk = Finance.NewSdk();
        int init = Finance.Init(
                sdk,
                "ww64f47cd0afc456a5",
                "mEizahrSF6axdfWtSK_f73a3j6-sV02hhyGG7ogmTpM"
        );

        if (init != 0) {
            Finance.DestroySdk(sdk);
            throw new RuntimeException("初始化sdk失败,失败消息为：ret = " + init);
        }
        return sdk;
    }*/
}
